
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>
#import "SimulationProtocols.h"

@interface MathematischesPendel:NSObject <Simulator>
{
	id	beschleunigung;
	id	laenge;
		
	id	color0;
	id	color1;
	
	NSMutableArray *actualPosition;
}
- (void)resetSimulator;
- (NSArray *)differentialOf:(NSArray*)position;
- (NSArray *)simulateOneStepWithIntegrator:(id <Integrator>) integrator delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end
