
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>
#import "SimulationProtocols.h"
#import "TunnelDiode.h"

@interface Neuron:NSObject <Simulator>
{
    id uBasis;
    id rBasis;
    
    id uNeuron;
    id lambda1Neuron;
    id lambda2Neuron;
    id rValuematrix;   
    id rButtonmatrix;

    id c1;

    id	color0;
    TunnelDiode *tunnelDiode;
    NSMutableArray *actualPosition;

    int neuroncount;
    double *timerofneuron;
}
- (void)resetSimulator;
- (NSArray *)differentialOf:(NSArray*)position;
- (NSArray *)simulateOneStepWithIntegrator:(id <Integrator>) integrator delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end
