
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>
#import "SimulationProtocols.h"

@interface Simulation3:NSObject <Simulator>
{
	id	unull;
	id	uamplitude;
	id	omega;
	
	id	ustab;
	id	alpha;
	id	uknick;
	id	rsperr;
	id	ctransistor;
	id	beta;
	id	rtransistor;
	
	id	rlast;
		
	id	color0;
	
	NSMutableArray *actualPosition;
}
- (void)resetSimulator;
- (NSArray *)differentialOf:(NSArray*)position;
- (NSArray *)simulateOneStepWithIntegrator:(id <Integrator>) integrator delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end
