
#import <Foundation/Foundation.h>

@protocol Simulator

- (void)resetSimulator;
- (NSArray *)differentialOf:(NSArray*)position;
- (NSArray *)simulateOneStepWithIntegrator:integrator delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end

@protocol Integrator

- (NSArray *)integrate: simulator position:(NSArray*)position delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end

