
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>
#import "SimulationProtocols.h"

@interface Simulation1:NSObject <Simulator>
{
	id	uamplitude;
	id	omega;
	
	id	rsperr;
	id	alpha;
	id	uknick;
	
	id	rvor;
	id	cvor;
	
	id	rlast;
	id	clast;
	
	id	color0;
	id	color1;
	
	NSMutableArray *actualPosition;
}
- (void)resetSimulator;
- (NSArray *)differentialOf:(NSArray*)position;
- (NSArray *)simulateOneStepWithIntegrator:(id <Integrator>) integrator delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end
