
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>
#import "SimulationProtocols.h"

@interface Simulation2:NSObject <Simulator>
{
	id	unull;
	id	uamplitude;
	id	omega;
	
	id	rsperr;
	id	alphadiode;
	id	uknick;
	id	alphazener;
	id	zknick;
	
	id	rvor;	
	id	clast;
	id	rlast;
	
	id	color0;
	
	NSMutableArray *actualPosition;
}
- (void)resetSimulator;
- (NSArray *)differentialOf:(NSArray*)position;
- (NSArray *)simulateOneStepWithIntegrator:(id <Integrator>) integrator delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end
