
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>

#import "SimulationProtocols.h"

#define INTEGRATOR_TYPE	@"integrator"
#define SIMULATOR_TYPE 	@"simulator"
#define DOCUMENT_NIB   	@"Document.nib"



@interface SimulationManager:NSObject
{
    id	<Integrator> actualIntegrator;
    NSArray *integratorArray;

    id simulationParameterWindow;
    id simulationViewWindow;
		

	// needed just for loading the Simulator NIB's
    id loadingSimulator;

}

// asking the Manager about:

- actualIntegrator;


- openSimulation:sender;
- openSimulationWithFilename:(NSString *)filename;
- openIntegrator:sender;
- openIntegratorWithFilename:(NSString*)filename;

- simulationDidFinish:sender;

- (int)application:sender openFile:(NSString *)filename;

@end
