
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>

@interface SimulationView:NSView
{
    NSTimer *myTimedEntry;
    
    id		documentWindow;
    id		simulationButton;
    id		simulationManager;
	
	// values of the general simulation Panel
    id		timeMax;
    id		timeDelta;
    id		yAxis;
    id		simulationSpeed;
    id		simulationEpsilon;
	
	// set via nib loading
    id		simulator;
	
    double	actualTime;
    double	maximumTimeDisplayed;
}

- (void)drawRect:(NSRect)rect;

- resetSimulation:sender;
- simulationButtonPressed:sender;

- (void) simulateOneStep:timer;

- (void)windowDidMiniaturize:(NSNotification *)notification;
- (void)windowDidDeminiaturize:(NSNotification *)notification;
- (BOOL)windowShouldClose:(id)sender;

@end
