
#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>
#import "SimulationProtocols.h"

@interface Wassertanks:NSObject <Simulator>
{
	id	zufluss;
	id	grundflaeche;
	id	rohrquerschnitt;
	id	gravitation;
	
	id	color0;
	id	color1;
	
	NSMutableArray *actualPosition;
}
- (void)resetSimulator;
- (NSArray *)differentialOf:(NSArray*)position;
- (NSArray *)simulateOneStepWithIntegrator:(id <Integrator>) integrator delta:(NSNumber *)delta epsilon:(NSNumber *)epsilon;

@end
